package org.luo3.springrestdemo;

import java.util.HashMap;
import java.util.Map;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sub")
public class SubRouteController {
  
  // 子路由，实际路径 /sub/hi
  @GetMapping("/hi")
  public Map<String, String> handleSubRoute () {
    return new HashMap<>(){{
      put("msg", "hi, sub route");
    }};
  }

}
